| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::Playback Class Reference

`#include <RecordPlayback.hpp>`

## Public Member Functions
| Playback (const char *filename)
| Create playback object. More...
| Playback (std::unique_ptr< PlaybackImpl > impl)
virtual | ~Playback () noexcept
void | start (PlaybackCallback callback, OBMediaType type=OB_MEDIA_ALL)
| Start playback, the playback data is returned from the callback, and an exception is thrown after failure. More...
void | stop ()
| Stop playback and throw an exception if it fails. More...
void | setPlaybackStateCallback (MediaStateCallback state)
| Set playback state. More...
std::shared_ptr< DeviceInfo > | getDeviceInfo ()
| Get the device information in the recording file. More...
OBCameraParam | getCameraParam ()
| Get the intrinsic and extrinsic parameter information in the recording file. More...

## Detailed Description

Definition at line 93 of file RecordPlayback.hpp.

## Constructor & Destructor Documentation

ob::Playback::Playback | ( | const char * | filename | ) |

Create playback object.

Parameters

  filename | Playback filename

ob::Playback::Playback | ( | std::unique_ptr< PlaybackImpl > | impl | ) |

virtual ob::Playback::~Playback | ( |  | ) |
| virtual noexcept

## Member Function Documentation

void ob::Playback::start | ( | PlaybackCallback | callback,
|  | OBMediaType | type = `OB_MEDIA_ALL`
| ) |  |

Start playback, the playback data is returned from the callback, and an exception is thrown after failure.

Parameters

  filename | Playback filename
  callback | Callback for playback data
  type | Type of playback data

void ob::Playback::stop | ( |  | ) |

Stop playback and throw an exception if it fails.

void ob::Playback::setPlaybackStateCallback | ( | MediaStateCallback | state | ) |

Set playback state.

Parameters

  state | playback status callback

std::shared_ptr<DeviceInfo> ob::Playback::getDeviceInfo | ( |  | ) |

Get the device information in the recording file.

Returns
  DeviceInfo returns device information

OBCameraParam ob::Playback::getCameraParam | ( |  | ) |

Get the intrinsic and extrinsic parameter information in the recording file.

Returns
  OBCameraParam returns internal and external parameter information

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/RecordPlayback.hpp